### Type parameters

- #### T

### Hierarchy

- BaseRequest<T, BatchWriteItemInput, BatchWriteSingleTableRequest<T>>
  - BatchWriteSingleTableRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- logger
- metadata
- modelClazz
- params
- tableName
- toKey

### Methods

- createDeleteRequest
- createPutRequest
- delete
- exec
- execFullResponse
- put
- returnConsumedCapacity
- returnItemCollectionMetrics
- write

## Constructors

### constructor

- new BatchWriteSingleTableRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>): BatchWriteSingleTableRequest

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:19

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  #### Returns BatchWriteSingleTableRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:28

### Private logger

logger: Logger

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:18

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:30

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:29

### params

params: BatchWriteItemInput

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:32

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:31

### Private toKey

toKey: function = createToKeyFn(this.modelClazz)

- Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:19

#### Type declaration

- - (item: Partial<T>): Attributes<T>

  - #### Parameters

    - ##### item: Partial<T>

    #### Returns Attributes<T>

## Methods

### Private createDeleteRequest

- createDeleteRequest(item: T): WriteRequest

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:77

  #### Parameters

  - ##### item: T

  #### Returns WriteRequest

### Private createPutRequest

- createPutRequest(item: T): WriteRequest

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:78

  #### Parameters

  - ##### item: T

  #### Returns WriteRequest

### delete

- delete(items: T[]): BatchWriteSingleTableRequest<T>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:33

  #### Parameters

  - ##### items: T[]

  #### Returns BatchWriteSingleTableRequest<T>

### exec

- exec(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Observable<void>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:54

  write all given items

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

    when unprocessed items are returned the next value of backoffTimer is used to determine how many time slots to wait before doing the next request

  - ##### Default value throttleTimeSlot: number = BATCH_WRITE_DEFAULT_TIME_SLOT

    the duration of a time slot in ms

  #### Returns Observable<void>

### execFullResponse

- execFullResponse(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Observable<BatchWriteItemOutput>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:66

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

  - ##### Default value throttleTimeSlot: number = BATCH_WRITE_DEFAULT_TIME_SLOT

  #### Returns Observable<BatchWriteItemOutput>

### put

- put(items: T[]): BatchWriteSingleTableRequest<T>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:41

  #### Parameters

  - ##### items: T[]

  #### Returns BatchWriteSingleTableRequest<T>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): BatchWriteSingleTableRequest<T>

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:53

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns BatchWriteSingleTableRequest<T>

### returnItemCollectionMetrics

- returnItemCollectionMetrics(value: DynamoDB.ReturnItemCollectionMetrics): void

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:29

  #### Parameters

  - ##### value: DynamoDB.ReturnItemCollectionMetrics

  #### Returns void

### Private write

- write(backoffTimer: function, throttleTimeSlot: number): Observable<BatchGetItemOutput>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:73

  #### Parameters

  - ##### backoffTimer: function

    - - (): IterableIterator<number>

      - #### Returns IterableIterator<number>

  - ##### throttleTimeSlot: number

  #### Returns Observable<BatchGetItemOutput>

Generated using TypeDoc